#!/usr/bin/env python
#
# Copyright (c) 2015 Midokura SARL, All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
import os

import basic_deployment

if __name__ == '__main__':
    if None in (os.getenv('MEM_USERNAME'), os.getenv('MEM_PWD')):
        print('Missing MEM_USERNAME and MEM_PWD environment variables for '
              'running Midokura Enterprise MidoNet tests. Skipping test')
    else:
        deployment = basic_deployment.ApiMinimumDeployment(
            ubuntu_series='trusty',
            openstack_origin='cloud:trusty-kilo',
            midonet_origin='mem-1.9')
        deployment.run_tests()
